Subject: Re: check MMU state

From: Dan Malek <[email-masked]>
Date: Mon, 07 Apr 2003 09:53:56 -0400

Thomas Gleixner wrote:

> I'm working on a PMC board, where I can't modify the bootloader for now.

One of us doesn't understand the other :-)

The 'piggyback' loaders are in arch/ppc/boot.  These are wrappers around
a compressed kernel.  Their purpose is to take a boot environment, that
you likely can't modify, and convert it to something suitable for linux
before uncompressing/booting the kernel.

> I had to fight some time, but finaly i got it to work. :)

I don't understand how.  The 8xx has internal boot parameters that must
get initialized by a piggyback loader.  How did you do that?

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/